-- name: \\#343434\\[CS] Definitive PB Winterbottom (2.0)
-- description: The cheeky individual himself is in the funny wahoo game (x4)

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_PB = smlua_model_util_get_id("pb_geo")
local E_MODEL_PBC = smlua_model_util_get_id("conc_pb_geo")
local E_MODEL_ESPB = smlua_model_util_get_id("es_pb_geo")
local E_MODEL_XMASPB = smlua_model_util_get_id("xmas_pb_geo")

local TEX_PB = get_texture_info("pb-icon")
local TEX_PBC = get_texture_info("conc_pb_icon")
local TEX_ESPB = get_texture_info("es_pb_icon")
local TEX_XMASPB = get_texture_info("pb-icon")

local TEXT_MOD_NAME = "The Definitive PB Winterbottom"




local CAPTABLE_PB = {
    normal = smlua_model_util_get_id("pb_cap_normal_geo"),
}



if _G.charSelectExists then
    CT_PB = _G.charSelect.character_add("PB Winterbottom", {"The miserable pie thief himself"}, "CT Himself", {r = 52, g = 52, b = 52}, E_MODEL_PB, CT_MARIO, TEX_PB)
    _G.charSelect.character_add_caps(E_MODEL_PB, CAPTABLE_PB)
     CT_PBC = _G.charSelect.character_add("Concept Winterbottom", {"An early concept for the man himself"}, "CT Himself", {r = 52, g = 52, b = 52}, E_MODEL_PBC, CT_MARIO, TEX_PBC)
     _G.charSelect.character_add_caps(E_MODEL_PB, CAPTABLE_PB)
      CT_ESPB = _G.charSelect.character_add("ES Winterbottom", {"The Early Shorts model used in the original version", "Aren't you glad we didn't end up with this?"}, "CT Himself", {r = 52, g = 52, b = 52}, E_MODEL_ESPB, CT_MARIO, TEX_ESPB)
      _G.charSelect.character_add_caps(E_MODEL_PB, CAPTABLE_PB)
       CT_XMASPB = _G.charSelect.character_add("Holiday Winterbottom", {"The festive version shown in an official holiday card"}, "CT Himself", {r = 52, g = 52, b = 52}, E_MODEL_XMASPB, CT_MARIO, TEX_XMASPB)
       _G.charSelect.character_add_caps(E_MODEL_PB, CAPTABLE_PB)


 
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end